<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/CalorimeterHitData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CalorimeterHitData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_calorimeter_hit_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_CalorimeterHitDATA_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_CalorimeterHitDATA_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vector_x_y_z_8h.html">eicd/VectorXYZ.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_data.html">   15</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_calorimeter_hit_data.html">CalorimeterHitData</a> {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_data.html#a122d1213b9ac36d474bbf148de0da4ae">   17</a></span>&#160;  <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_calorimeter_hit_data.html#a122d1213b9ac36d474bbf148de0da4ae">cellID0</a>; </div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_data.html#a1a4aacdb8db53cd74c56a6dce24fd6f9">   18</a></span>&#160;  <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_calorimeter_hit_data.html#a1a4aacdb8db53cd74c56a6dce24fd6f9">cellID1</a>; </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_data.html#ad53a67e8bbc5b938819dce12d2eaf821">   19</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_calorimeter_hit_data.html#ad53a67e8bbc5b938819dce12d2eaf821">energy</a>; </div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_data.html#ad8dc3499f402e2d1ec34372b0c506f2d">   20</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_calorimeter_hit_data.html#ad8dc3499f402e2d1ec34372b0c506f2d">time</a>; </div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_data.html#aa6b8eb29824604d37dd30be88223d434">   21</a></span>&#160;  <a class="code" href="classeic_1_1_vector_x_y_z.html">::eic::VectorXYZ</a> <a class="code" href="classeic_1_1_calorimeter_hit_data.html#aa6b8eb29824604d37dd30be88223d434">position</a>; </div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_data.html#a937daf90931d764c772b37d6effd9e37">   22</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_calorimeter_hit_data.html#a937daf90931d764c772b37d6effd9e37">type</a>; </div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;};</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_calorimeter_hit_data_html_ad8dc3499f402e2d1ec34372b0c506f2d"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_data.html#ad8dc3499f402e2d1ec34372b0c506f2d">eic::CalorimeterHitData::time</a></div><div class="ttdeci">float time</div><div class="ttdoc">The time of the hit in [ns]. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_data_8h_source.html#l00020">CalorimeterHitData.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_data_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_data.html">eic::CalorimeterHitData</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_data_8h_source.html#l00015">CalorimeterHitData.h:15</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_data_html_a937daf90931d764c772b37d6effd9e37"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_data.html#a937daf90931d764c772b37d6effd9e37">eic::CalorimeterHitData::type</a></div><div class="ttdeci">int type</div><div class="ttdoc">The type of the hit. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_data_8h_source.html#l00022">CalorimeterHitData.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_html"><div class="ttname"><a href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a></div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_8h_source.html#l00011">VectorXYZ.h:11</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_data_html_ad53a67e8bbc5b938819dce12d2eaf821"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_data.html#ad53a67e8bbc5b938819dce12d2eaf821">eic::CalorimeterHitData::energy</a></div><div class="ttdeci">float energy</div><div class="ttdoc">The energy of the hit in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_data_8h_source.html#l00019">CalorimeterHitData.h:19</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_data_html_a1a4aacdb8db53cd74c56a6dce24fd6f9"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_data.html#a1a4aacdb8db53cd74c56a6dce24fd6f9">eic::CalorimeterHitData::cellID1</a></div><div class="ttdeci">long long cellID1</div><div class="ttdoc">The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_data_8h_source.html#l00018">CalorimeterHitData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_data_html_a122d1213b9ac36d474bbf148de0da4ae"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_data.html#a122d1213b9ac36d474bbf148de0da4ae">eic::CalorimeterHitData::cellID0</a></div><div class="ttdeci">long long cellID0</div><div class="ttdoc">The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_data_8h_source.html#l00017">CalorimeterHitData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_data_html_aa6b8eb29824604d37dd30be88223d434"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_data.html#aa6b8eb29824604d37dd30be88223d434">eic::CalorimeterHitData::position</a></div><div class="ttdeci">::eic::VectorXYZ position</div><div class="ttdoc">The position of the hit in world coordinates. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_data_8h_source.html#l00021">CalorimeterHitData.h:21</a></div></div>
<div class="ttc" id="_vector_x_y_z_8h_html"><div class="ttname"><a href="_vector_x_y_z_8h.html">VectorXYZ.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
